/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TUmlsMrconso;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TUmlsMrconsoRecord extends TableRecordImpl<TUmlsMrconsoRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_umls_mrconso.cui</code>.
     */
    public void setCui(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_umls_mrconso.cui</code>.
     */
    public String getCui() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.t_umls_mrconso.lat</code>.
     */
    public void setLat(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_umls_mrconso.lat</code>.
     */
    public String getLat() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.t_umls_mrconso.lui</code>.
     */
    public void setLui(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_umls_mrconso.lui</code>.
     */
    public String getLui() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_umls_mrconso.sui</code>.
     */
    public void setSui(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_umls_mrconso.sui</code>.
     */
    public String getSui() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_umls_mrconso.aui</code>.
     */
    public void setAui(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_umls_mrconso.aui</code>.
     */
    public String getAui() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.t_umls_mrconso.sab</code>.
     */
    public void setSab(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_umls_mrconso.sab</code>.
     */
    public String getSab() {
        return (String) get(5);
    }

    /**
     * Setter for <code>common_dd.t_umls_mrconso.tty</code>.
     */
    public void setTty(String value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.t_umls_mrconso.tty</code>.
     */
    public String getTty() {
        return (String) get(6);
    }

    /**
     * Setter for <code>common_dd.t_umls_mrconso.str</code>.
     */
    public void setStr(String value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.t_umls_mrconso.str</code>.
     */
    public String getStr() {
        return (String) get(7);
    }

    /**
     * Setter for <code>common_dd.t_umls_mrconso.dn</code>.
     */
    public void setDn(String value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.t_umls_mrconso.dn</code>.
     */
    public String getDn() {
        return (String) get(8);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TUmlsMrconsoRecord
     */
    public TUmlsMrconsoRecord() {
        super(TUmlsMrconso.T_UMLS_MRCONSO);
    }

    /**
     * Create a detached, initialised TUmlsMrconsoRecord
     */
    public TUmlsMrconsoRecord(String cui, String lat, String lui, String sui, String aui, String sab, String tty, String str, String dn) {
        super(TUmlsMrconso.T_UMLS_MRCONSO);

        setCui(cui);
        setLat(lat);
        setLui(lui);
        setSui(sui);
        setAui(aui);
        setSab(sab);
        setTty(tty);
        setStr(str);
        setDn(dn);
        resetChangedOnNotNull();
    }
}
